PImage img;
int cellsizeX =9; 
int cellsizeY = 3;
int columns, rows;  

void setup() {
  size(800, 1000); 
  img = loadImage("retrato.jpg");  
  columns = img.width / cellsizeX;  
  rows = img.height / cellsizeY;
}

void draw() {
  background(130,82,127);
  for ( int i = 0; i < columns; i++) {
    for ( int j = 0; j < rows; j++) {
      int x = i*cellsizeX + cellsizeX/2; 
      int y = j*cellsizeY + cellsizeY/2; 
      int loc = x + y*img.width; 

      pushMatrix();
      translate(x, y);
        float dimY=(cellsizeY)*brightness(img.pixels[loc])/255;
        float rot=random(100);
        float a=random(230,255);
        float b=random(146,130);
        float c=random(196,255);
        color c1 = color(a,b,c);
      rotate(rot*PI/255);
      scale(dimY*0.5);
      //fill(255);
      fill(c1);
      noStroke();  
      //rectMode(CENTER);
      //rect(0, 0, dimY*cellsizeX, dimY*cellsizeY);
      //rect(cellsizeX/2, cellsizeY/2, cellsizeX, cellsizeY);
      ellipseMode(CENTER);
      circle(0, cellsizeX, cellsizeY);
      popMatrix();
      noLoop();
    }
  }
}
void mouseReleased() {
  saveFrame("retrato.jpg"); 
}
